org.encog.app.analyst.csv.basic

## Class BaseCachedColumn

- java.lang.Object
- - org.encog.app.analyst.csv.basic.BaseCachedColumn

- Direct Known Subclasses:
    FileData, Indicator

      public class BaseCachedColumn
      extends Object

  A basic cached column. Used internally by some of the Encog CSV quant classes. All of the file contents for this column are loaded into memory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCachedColumn(String theName, boolean theInput, boolean theOutput)` Construct the cached column.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allocate(int length)` Allocate enough space for this column.
    `double[]` | `getData()`
    `String` | `getName()`
    `boolean` | `isIgnore()`
    `boolean` | `isInput()`
    `boolean` | `isOutput()`
    `void` | `setIgnore(boolean theIgnore)` Set if this column is to be ignored?
    `void` | `setInput(boolean theIgnore)` Set if this column is used for input.
    `void` | `setName(String theName)` Set the name of this column.
    `void` | `setOutput(boolean theOutput)` Set if this column is used for output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseCachedColumn

          public BaseCachedColumn(String theName,
                          boolean theInput,
                          boolean theOutput)

      Construct the cached column.
      Parameters:
        `theName` - The name of the column.
        `theInput` - Is this column used for input?
        `theOutput` - Is this column used for output?

  - ### Method Detail

    - #### allocate

          public void allocate(int length)

      Allocate enough space for this column.
      Parameters:
        `length` - The length of this column.

    - #### getData

          public double[] getData()

      Returns:
        The data for this column.

    - #### getName

          public String getName()

      Returns:
        The name of this column

    - #### isIgnore

          public boolean isIgnore()

      Returns:
        Is this column ignored?

    - #### isInput

          public boolean isInput()

      Returns:
        Is this column used for input?

    - #### isOutput

          public boolean isOutput()

      Returns:
        Is this column used for output?

    - #### setIgnore

          public void setIgnore(boolean theIgnore)

      Set if this column is to be ignored?
      Parameters:
        `theIgnore` - True, if this column is to be ignored.

    - #### setInput

          public void setInput(boolean theIgnore)

      Set if this column is used for input.
      Parameters:
        `theIgnore` - Is this column used for input.

    - #### setName

          public void setName(String theName)

      Set the name of this column.
      Parameters:
        `theName` - The name of this column.

    - #### setOutput

          public void setOutput(boolean theOutput)

      Set if this column is used for output.
      Parameters:
        `theOutput` - Is this column used for output.

Copyright © 2014. All Rights Reserved.